Browse Source

Sync with portage [Sun Apr 25 23:28:29 MSK 2021].

tags/1948
Calculate Linux 3 months ago
parent
commit
5f2728b8e9
100 changed files with 886 additions and 1403 deletions
  1. BIN
      Manifest.files.gz
  2. BIN
      acct-group/Manifest.gz
  3. +1
    -1
      acct-group/tss/metadata.xml
  4. BIN
      acct-user/Manifest.gz
  5. +1
    -1
      acct-user/tss/metadata.xml
  6. BIN
      app-accessibility/Manifest.gz
  7. +2
    -2
      app-accessibility/espeakup/espeakup-0.80.ebuild
  8. +1
    -0
      app-accessibility/kontrast/Manifest
  9. +34
    -0
      app-accessibility/kontrast/kontrast-21.04.0.ebuild
  10. +1
    -1
      app-accessibility/speech-tools/speech-tools-2.5.0.ebuild
  11. BIN
      app-admin/Manifest.gz
  12. +1
    -4
      app-admin/cygwin-rebase/metadata.xml
  13. +1
    -1
      app-admin/logrotate/logrotate-3.18.0.ebuild
  14. +0
    -2
      app-admin/metalog/Manifest
  15. +0
    -20
      app-admin/metalog/files/consolelog.sh
  16. +0
    -41
      app-admin/metalog/files/metalog.initd
  17. +0
    -65
      app-admin/metalog/metalog-20181125.ebuild
  18. +0
    -56
      app-admin/metalog/metalog-3-r2.ebuild
  19. +2
    -0
      app-admin/rsyslog/Manifest
  20. +484
    -0
      app-admin/rsyslog/rsyslog-8.2104.0.ebuild
  21. +0
    -407
      app-admin/superadduser/files/1.0.9/superadduser
  22. +4
    -4
      app-admin/superadduser/metadata.xml
  23. +0
    -22
      app-admin/superadduser/superadduser-1.0.9.ebuild
  24. +2
    -5
      app-admin/superadduser/superadduser-1.15.ebuild
  25. +1
    -1
      app-admin/sysklogd/sysklogd-2.2.2.ebuild
  26. +0
    -1
      app-admin/system-tools-backends/Manifest
  27. +0
    -46
      app-admin/system-tools-backends/files/system-tools-backends-2.8.2-cve-2008-4311.patch
  28. +0
    -24
      app-admin/system-tools-backends/files/system-tools-backends-2.8.2-default-permissions.patch
  29. +0
    -13
      app-admin/system-tools-backends/metadata.xml
  30. +0
    -66
      app-admin/system-tools-backends/system-tools-backends-2.10.2-r1.ebuild
  31. BIN
      app-arch/Manifest.gz
  32. +1
    -1
      app-arch/file-roller/file-roller-3.38.1.ebuild
  33. +1
    -1
      app-arch/ncompress/ncompress-5.0.ebuild
  34. +0
    -165
      app-arch/p7zip/p7zip-16.02-r4.ebuild
  35. +0
    -168
      app-arch/p7zip/p7zip-16.02-r5.ebuild
  36. +1
    -1
      app-arch/p7zip/p7zip-16.02-r8.ebuild
  37. +1
    -1
      app-arch/sharutils/sharutils-4.15.2-r2.ebuild
  38. +0
    -1
      app-arch/unrar/Manifest
  39. +14
    -14
      app-arch/unrar/metadata.xml
  40. +0
    -70
      app-arch/unrar/unrar-6.0.3.ebuild
  41. +1
    -1
      app-arch/unrar/unrar-6.0.4.ebuild
  42. BIN
      app-cdr/Manifest.gz
  43. +1
    -0
      app-cdr/dolphin-plugins-mountiso/Manifest
  44. +65
    -0
      app-cdr/dolphin-plugins-mountiso/dolphin-plugins-mountiso-21.04.0.ebuild
  45. BIN
      app-crypt/Manifest.gz
  46. +34
    -0
      app-crypt/jacksum/jacksum-1.7.0-r1.ebuild
  47. +0
    -35
      app-crypt/jacksum/jacksum-1.7.0.ebuild
  48. +1
    -1
      app-crypt/minisign/minisign-0.9.ebuild
  49. +1
    -1
      app-crypt/swtpm/metadata.xml
  50. +1
    -1
      app-crypt/tpm-tools/metadata.xml
  51. +1
    -1
      app-crypt/tpm2-abrmd/metadata.xml
  52. +1
    -1
      app-crypt/tpm2-pkcs11/metadata.xml
  53. +1
    -1
      app-crypt/tpm2-tools/metadata.xml
  54. +1
    -1
      app-crypt/tpm2-totp/metadata.xml
  55. +1
    -1
      app-crypt/tpm2-tss-engine/metadata.xml
  56. +1
    -1
      app-crypt/tpm2-tss/metadata.xml
  57. +1
    -1
      app-crypt/trousers/metadata.xml
  58. BIN
      app-dicts/Manifest.gz
  59. +1
    -1
      app-dicts/sword-ASV/Manifest
  60. +0
    -12
      app-dicts/sword-ASV/sword-ASV-1.3.ebuild
  61. +13
    -0
      app-dicts/sword-ASV/sword-ASV-2.0.ebuild
  62. +1
    -1
      app-dicts/sword-AraSVD/Manifest
  63. +0
    -13
      app-dicts/sword-AraSVD/sword-AraSVD-2.0.ebuild
  64. +13
    -0
      app-dicts/sword-AraSVD/sword-AraSVD-2.1.ebuild
  65. +1
    -1
      app-dicts/sword-Byz/Manifest
  66. +0
    -13
      app-dicts/sword-Byz/sword-Byz-2.4.ebuild
  67. +13
    -0
      app-dicts/sword-Byz/sword-Byz-3.0.ebuild
  68. +1
    -1
      app-dicts/sword-Che1860/Manifest
  69. +0
    -13
      app-dicts/sword-Che1860/sword-Che1860-1.2.ebuild
  70. +13
    -0
      app-dicts/sword-Che1860/sword-Che1860-2.0.ebuild
  71. +1
    -1
      app-dicts/sword-ChiNCVs/Manifest
  72. +0
    -13
      app-dicts/sword-ChiNCVs/sword-ChiNCVs-1.0.ebuild
  73. +13
    -0
      app-dicts/sword-ChiNCVs/sword-ChiNCVs-1.1.ebuild
  74. +1
    -1
      app-dicts/sword-ChiNCVt/Manifest
  75. +0
    -13
      app-dicts/sword-ChiNCVt/sword-ChiNCVt-1.0.ebuild
  76. +13
    -0
      app-dicts/sword-ChiNCVt/sword-ChiNCVt-1.1.ebuild
  77. +1
    -0
      app-dicts/sword-ChiSB/Manifest
  78. +17
    -0
      app-dicts/sword-ChiSB/metadata.xml
  79. +13
    -0
      app-dicts/sword-ChiSB/sword-ChiSB-1.0.ebuild
  80. +1
    -1
      app-dicts/sword-ChiUn/Manifest
  81. +0
    -13
      app-dicts/sword-ChiUn/sword-ChiUn-2.6.ebuild
  82. +13
    -0
      app-dicts/sword-ChiUn/sword-ChiUn-3.0.ebuild
  83. +1
    -1
      app-dicts/sword-ChiUns/Manifest
  84. +0
    -13
      app-dicts/sword-ChiUns/sword-ChiUns-2.5.2.ebuild
  85. +13
    -0
      app-dicts/sword-ChiUns/sword-ChiUns-3.0.ebuild
  86. +1
    -1
      app-dicts/sword-Darby/Manifest
  87. +0
    -12
      app-dicts/sword-Darby/sword-Darby-1.1.ebuild
  88. +13
    -0
      app-dicts/sword-Darby/sword-Darby-2.0.ebuild
  89. +1
    -0
      app-dicts/sword-DutKingComm/Manifest
  90. +0
    -0
      app-dicts/sword-DutKingComm/metadata.xml
  91. +13
    -0
      app-dicts/sword-DutKingComm/sword-DutKingComm-1.0.ebuild
  92. +1
    -0
      app-dicts/sword-DutSVVA/Manifest
  93. +9
    -0
      app-dicts/sword-DutSVVA/metadata.xml
  94. +13
    -0
      app-dicts/sword-DutSVVA/sword-DutSVVA-1.0.ebuild
  95. +1
    -1
      app-dicts/sword-FreBDM1744/Manifest
  96. +0
    -13
      app-dicts/sword-FreBDM1744/sword-FreBDM1744-1.2.1.ebuild
  97. +13
    -0
      app-dicts/sword-FreBDM1744/sword-FreBDM1744-2.0.ebuild
  98. +1
    -1
      app-dicts/sword-FreDAW/Manifest
  99. +13
    -0
      app-dicts/sword-FreDAW/sword-FreDAW-1.2.1.ebuild
  100. +0
    -13
      app-dicts/sword-FreDAW/sword-FreDAW-1.2.ebuild

BIN
Manifest.files.gz View File


BIN
acct-group/Manifest.gz View File


+ 1
- 1
acct-group/tss/metadata.xml View File

@@ -3,7 +3,7 @@
<pkgmetadata>
<maintainer type="person" proxied="yes">
<email>salah.coronya@gmail.com</email>
<name>Salah Coronya</name>
<name>Christopher Byrne</name>
</maintainer>
<maintainer type="project" proxied="proxy">
<email>proxy-maint@gentoo.org</email>


BIN
acct-user/Manifest.gz View File


+ 1
- 1
acct-user/tss/metadata.xml View File

@@ -3,7 +3,7 @@
<pkgmetadata>
<maintainer type="person" proxied="yes">
<email>salah.coronya@gmail.com</email>
<name>Salah Coronya</name>
<name>Christopher Byrne</name>
</maintainer>
<maintainer type="project" proxied="proxy">
<email>proxy-maint@gentoo.org</email>


BIN
app-accessibility/Manifest.gz View File


+ 2
- 2
app-accessibility/espeakup/espeakup-0.80.ebuild View File

@@ -1,4 +1,4 @@
# Copyright 1999-2017 Gentoo Foundation
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=6
@@ -9,7 +9,7 @@ if [[ ${PV} == "9999" ]] ; then
else
EGIT_COMMIT=v${PV}
SRC_URI="https://github.com/williamh/espeakup/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
KEYWORDS="~amd64 ~x86"
KEYWORDS="amd64 ~x86"
inherit vcs-snapshot
fi



+ 1
- 0
app-accessibility/kontrast/Manifest View File

@@ -1 +1,2 @@
DIST kontrast-20.12.3.tar.xz 122468 BLAKE2B 4e29c034ba87781ffef03a37ecc7219eed488585bc47b0b3420950cdfe8fa92e9f4fd2a35dea76ac296318cb8c8be38fcf92061bca105fcfafa9dc9121afbabe SHA512 d6a4b60416f43bc1e9ba2539b13f33233c988417c7e8f05dd295d7e4946301943db9493123a07c48b0844c7aa55a22a3f1b898c3a00cccc6f6aae295d89d90c8
DIST kontrast-21.04.0.tar.xz 122760 BLAKE2B f68006f325c7d6c1cf292b48b2bebca09939cd51c1a16a31df80b57dcf03f95c3336707f2d9d21b6dc5cbef092e5efe739598d0939566b71212067d05012a97d SHA512 0df076b365353b916206748801641805a674ac1a0420ce26f197a7083f77c70550a8728d4f5f6f98ae79e162bfb611f4ce4b4171897c002718785c77aa9a693e

+ 34
- 0
app-accessibility/kontrast/kontrast-21.04.0.ebuild View File

@@ -0,0 +1,34 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

KDE_GEAR="true"
KFMIN=5.80.0
QTMIN=5.15.2
inherit ecm kde.org

DESCRIPTION="Tool to check contrast for colors to verify they are correctly accessible"
HOMEPAGE="https://apps.kde.org/en/kontrast"

LICENSE="GPL-3+"
SLOT="5"
KEYWORDS="~amd64 ~arm64 ~x86"
IUSE=""

DEPEND="
>=dev-qt/qtdbus-${QTMIN}:5
>=dev-qt/qtdeclarative-${QTMIN}:5
>=dev-qt/qtgui-${QTMIN}:5
>=dev-qt/qtquickcontrols2-${QTMIN}:5
>=dev-qt/qtsql-${QTMIN}:5
>=dev-qt/qtsvg-${QTMIN}:5
>=dev-qt/qtwidgets-${QTMIN}:5
>=kde-frameworks/kcoreaddons-${KFMIN}:5
>=kde-frameworks/kdeclarative-${KFMIN}:5
>=kde-frameworks/ki18n-${KFMIN}:5
>=kde-frameworks/kirigami-${KFMIN}:5
"
RDEPEND="${DEPEND}
kde-plasma/xdg-desktop-portal-kde
"

+ 1
- 1
app-accessibility/speech-tools/speech-tools-2.5.0.ebuild View File

@@ -16,7 +16,7 @@ S="${WORKDIR}/speech_tools"

LICENSE="FESTIVAL HPND BSD rc regexp-UofT"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ppc ~ppc64 sparc ~x86"
IUSE="nas openmp X"

RDEPEND="


BIN
app-admin/Manifest.gz View File


+ 1
- 4
app-admin/cygwin-rebase/metadata.xml View File

@@ -1,10 +1,7 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>haubi@gentoo.org</email>
<name>Michael Haubenwallner</name>
</maintainer>
<!-- maintainer-needed -->
<longdescription lang="en">
The rebaseall utility is a convenient way for users that suffer from the
Cygwin rebase problem to rebase their entire system (i.e., all of their


+ 1
- 1
app-admin/logrotate/logrotate-3.18.0.ebuild View File

@@ -11,7 +11,7 @@ SRC_URI="https://github.com/${PN}/${PN}/releases/download/${PV}/${P}.tar.gz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~m68k ~mips ppc ~ppc64 ~s390 sparc ~x86"
IUSE="acl +cron selinux"

COMMON_DEPEND="


+ 0
- 2
app-admin/metalog/Manifest View File

@@ -1,3 +1 @@
DIST metalog-20181125.tar.gz 39472 BLAKE2B 64d90835d50c7cb10ab2bf2708d00189b9f8cb56438c29d5c445c5527cce030f918ba74f83cdcd54017f04fe2a8ab30e5631bcdf6681e56c311f8069981a9b5c SHA512 4b187a29b9e25a0f762f929c6993fa6e49ead470916a43a0dfbf16720a1a633121357d2f152bf4cdcd71c016aa4fc8fd6cffb35249abd430fbbf66651986bc4b
DIST metalog-20200113.tar.gz 40276 BLAKE2B f2fcaccf610f3b7f1974aa97f2c7b5181f3c625c9e28d72832ba1570cfa369873887c83468bcea6a9f3d3080356bd1dd62849ec34a5d03c1272ada7f476946f6 SHA512 d399d86f988c69c9f74553cd682a5fe04886bca458e6f8bb3132fe1fb9f522510a428cfde8af0857c5ba22531b276b04fa05183e0006c2d28ef0f0aead488f93
DIST metalog-3.tar.xz 360784 BLAKE2B 951841d423769cd97e14985e15d5a2499ca351e082c0effe28dc16d46db91235b7ef0448fe32d38b2ed5b53011d04b3375dc87c2a859c49bede2ae177ec16954 SHA512 2ac614bb85fe466308c4ced0842fdab5f056eda60e892189a8220719f1e06a72fce3c76842a2ac8c63a6808c20d8b7a7d8676896e14f7f54e40630ecbd21e289

+ 0
- 20
app-admin/metalog/files/consolelog.sh View File

@@ -1,20 +0,0 @@
#!/bin/sh
# consolelog.sh
# For metalog -- log to a console

set -f

. /etc/conf.d/metalog
if [ -z "${CONSOLE}" ] ; then
CONSOLE="/dev/console"
fi

if [ -z "${FORMAT}" ] ; then
FORMAT='$1 [$2] $3'
fi

for d in ${CONSOLE} ; do
eval echo ${FORMAT} > ${d}
done

exit 0

+ 0
- 41
app-admin/metalog/files/metalog.initd View File

@@ -1,41 +0,0 @@
#!/sbin/openrc-run
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2

extra_started_commands="buffer unbuffer"

PIDFILE=/var/run/metalog.pid

depend() {
need localmount
use clock hostname
after bootmisc
provide logger
}

ssd() { start-stop-daemon --exec /usr/sbin/metalog --pidfile "${PIDFILE}" "$@" ; }

start() {
ebegin "Starting metalog"
ssd --start -- \
--daemonize --pidfile="${PIDFILE}" ${METALOG_OPTS}
eend $?
}

stop() {
ebegin "Stopping metalog"
ssd --stop
eend $?
}

buffer() {
ebegin "Enabling log buffering"
ssd --signal USR2
eend $?
}

unbuffer() {
ebegin "Disabling log buffering"
ssd --signal USR1
eend $?
}

+ 0
- 65
app-admin/metalog/metalog-20181125.ebuild View File

@@ -1,65 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=6
inherit autotools systemd

DESCRIPTION="A highly configurable replacement for syslogd/klogd"
HOMEPAGE="https://github.com/hvisage/metalog"
SRC_URI="https://github.com/hvisage/${PN}/archive/${P}.tar.gz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~x64-cygwin"
IUSE="unicode"

RDEPEND=">=dev-libs/libpcre-3.4"
DEPEND="${RDEPEND}
sys-devel/autoconf-archive
virtual/pkgconfig"

S="${WORKDIR}/${PN}-${P}"

PATCHES=(
"${FILESDIR}"/${PN}-0.9-metalog-conf.patch
)

src_prepare() {
default
eautoreconf
}

src_configure() {
econf $(use_with unicode)
}

src_install() {
emake DESTDIR="${D}" install
dodoc AUTHORS ChangeLog README NEWS metalog.conf

into /
dosbin "${FILESDIR}"/consolelog.sh

newinitd "${FILESDIR}"/metalog.initd-r1 metalog
newconfd "${FILESDIR}"/metalog.confd metalog
systemd_newunit "${FILESDIR}/${PN}.service-r1" "${PN}.service"
}

pkg_preinst() {
if [[ -d "${ROOT}"/etc/metalog ]] && [[ ! -e "${ROOT}"/etc/metalog.conf ]] ; then
mv -f "${ROOT}"/etc/metalog/metalog.conf "${ROOT}"/etc/metalog.conf
rmdir "${ROOT}"/etc/metalog
export MOVED_METALOG_CONF=true
else
export MOVED_METALOG_CONF=false
fi
}

pkg_postinst() {
if ${MOVED_METALOG_CONF} ; then
ewarn "The default metalog.conf file has been moved"
ewarn "from /etc/metalog/metalog.conf to just"
ewarn "/etc/metalog.conf. If you had a standard"
ewarn "setup, the file has been moved for you."
fi
}

+ 0
- 56
app-admin/metalog/metalog-3-r2.ebuild View File

@@ -1,56 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI="6"
inherit systemd

DESCRIPTION="A highly configurable replacement for syslogd/klogd"
HOMEPAGE="http://metalog.sourceforge.net/"
SRC_URI="mirror://sourceforge/${PN}/${P}.tar.xz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~m68k ~mips ppc ppc64 ~s390 sparc x86"
IUSE="unicode"

RDEPEND=">=dev-libs/libpcre-3.4"
DEPEND="${RDEPEND}
virtual/pkgconfig
app-arch/xz-utils"

PATCHES=( "${FILESDIR}"/${PN}-0.9-metalog-conf.patch )

src_configure() {
econf $(use_with unicode)
}

src_install() {
emake DESTDIR="${D}" install
dodoc AUTHORS ChangeLog README NEWS metalog.conf

into /
dosbin "${FILESDIR}"/consolelog.sh

newinitd "${FILESDIR}"/metalog.initd metalog
newconfd "${FILESDIR}"/metalog.confd metalog
systemd_newunit "${FILESDIR}/${PN}.service-r1" "${PN}.service"
}

pkg_preinst() {
if [[ -d "${ROOT}"/etc/metalog ]] && [[ ! -e "${ROOT}"/etc/metalog.conf ]] ; then
mv -f "${ROOT}"/etc/metalog/metalog.conf "${ROOT}"/etc/metalog.conf
rmdir "${ROOT}"/etc/metalog
export MOVED_METALOG_CONF=true
else
export MOVED_METALOG_CONF=false
fi
}

pkg_postinst() {
if ${MOVED_METALOG_CONF} ; then
ewarn "The default metalog.conf file has been moved"
ewarn "from /etc/metalog/metalog.conf to just"
ewarn "/etc/metalog.conf. If you had a standard"
ewarn "setup, the file has been moved for you."
fi
}

+ 2
- 0
app-admin/rsyslog/Manifest View File

@@ -2,7 +2,9 @@ DIST rsyslog-8.2008.0.tar.gz 3051049 BLAKE2B abf9b7ec81cf62841c448f22c7aff45bc85
DIST rsyslog-8.2010.0.tar.gz 3097606 BLAKE2B 06bfd54edc2126567ff9a460c272583d388a16a4db6f56603c8b9d2dd54bf4fe3b3b402eb4a9523b68e9d3a7602759fad57b35351d7cadab0b7f02771db5c40c SHA512 e3c8ed6b631053e38abfe8ce183a1544d04a0207dc988d36f5141a7ea8c987915f4c0429ccd094b7e374c277b7ee5b50e65e7205c156af01ffe9bdf8338831c8
DIST rsyslog-8.2012.0.tar.gz 3118101 BLAKE2B 26550c90ff5502c051c30996f7a1eabfdd9e5ce229dbb33f91ac40f9af5c2d2b15f9dd8a3b0a31b00b1b510d91fe5ce177ceab5fa2af416a9de9acc4e4b24f6a SHA512 d279295c8d399be140bd5c30786c6a32b2ddfd0d90ca4cd285aa33622c66ad9e3a5b979c8041f6e736670fef8f2cd5571980eef1b1395d4ab30a112f2dd1270d
DIST rsyslog-8.2102.0.tar.gz 3123684 BLAKE2B f5c4e00d68ec82ed3f7b89dd5e888bebda9c4eb38185dfd8ecd96c1bf77380385aaddac73ab1de8364e1239a3de746f160c18b0f135d006f473f9e40be2c18a1 SHA512 281b0e5d5cb548c39a6e514e5fd5b1bdbe8ca0bdd9234f4fea581ed7679f76d2d75b65d14c3c5e799f86f91600074ff75b467aa1ff27cdbec0f4197261c5aec0
DIST rsyslog-8.2104.0.tar.gz 3175254 BLAKE2B ed772d4e460105b8406305574fdbe4aeca7ba57ba975b78f91d279460fee0faa767fcda3d2d8a4ba6d543bf9e920f9b7cf5ddf9e4d3ccfc9ae3b08c318a6c5b0 SHA512 15ded57f32259bb12b3378d10bc2d4d6eff39623f1195357dafa58e5c1154aedc0d60ff0746599707f380cf3bfc5ca955f15f1213572fa447cc333d479e0eefc
DIST rsyslog-doc-8.2008.0.tar.gz 8378149 BLAKE2B 0f6bc116a03821899d33c7960e517725487b89ea2aabc7f5d0fbd4962d82a06558737bcee67af02105006c670ec736eb5ba0b7811b25a1e627a99555121b2999 SHA512 5b8bed19017c65469eb8ea7725ef162595b30f520605f37447498ab69b5cfe8f939cee7e7915ecbf3c025871408fd7af6d45ba960a83096f83a397df4cefef09
DIST rsyslog-doc-8.2010.0.tar.gz 8428326 BLAKE2B ee8eb2bdbb1f6c7122559b63ddc1ae6ac7fbfb23d661410feb39d7ddce332851e785bb447fb67dd2de8ff62e91fe865fbf7dec8bf62d7fe51181e3c6bbbe64db SHA512 072fb05a0117dc0970a4e5e302abbaf5dc065c2a0962c4160e7efb86fedad89a2caa546cd2bf4af07b7f5e2fa5267cf02889d911f7a6916725e6aea1760ab253
DIST rsyslog-doc-8.2012.0.tar.gz 6417145 BLAKE2B d8377f40b0311e8e7dcca274c251c0de7706490e3048c8d69d479120e06ca1e0b3ec9fce0a04928984d440da3aef196965f8c1b45afe8931c893b4baa72f4e87 SHA512 5647f499230276066abced34c2ca352268ba24fbd00cb7b5e3d0a2494977dd6f781cf8d1e7c7a9210d23c451ff162acda81ee93afa3f8f08fd555123e9daeece
DIST rsyslog-doc-8.2102.0.tar.gz 6419104 BLAKE2B 134c7ccde6f7435b35840fa37f5774223ac1ebd7dc10db961900a7b1600483156518433c7f70d0981e96ea750e1916ab53e346abacf58066bf141e85c719ae00 SHA512 a5dc4fb9bd8892fac693c5692b926c8d7d9fa36667d6b4c6eccba750713af88d4317f6232efc2a16de38c2e58c4a8bc4d04c9ebb2e7ebc3b0878d53eef20dd2e
DIST rsyslog-doc-8.2104.0.tar.gz 6451275 BLAKE2B cb8a38b28caec17babd190e463070b862071a75c4c63a7208e56f039f84ae7a5c6045112697c61635d328e56d9427f692e67a9d6fefc94b59ad28481210f1481 SHA512 6c898fa606190c5cf214822503f060b1692cd907731858736a395511b66d7b0d1cf6dfcc90c4cecbe21b099197ae2187db53d719f44f85f26a1bd34971539d36

+ 484
- 0
app-admin/rsyslog/rsyslog-8.2104.0.ebuild View File

@@ -0,0 +1,484 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI="7"
PYTHON_COMPAT=( python3_{7..9} )

inherit autotools linux-info python-any-r1 systemd

DESCRIPTION="An enhanced multi-threaded syslogd with database support and more"
HOMEPAGE="https://www.rsyslog.com/"

if [[ ${PV} == "9999" ]]; then
EGIT_REPO_URI="https://github.com/rsyslog/${PN}.git"

DOC_REPO_URI="https://github.com/rsyslog/${PN}-doc.git"

inherit git-r3
else
KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~x86"

SRC_URI="
https://www.rsyslog.com/files/download/${PN}/${P}.tar.gz
doc? ( https://www.rsyslog.com/files/download/${PN}/${PN}-doc-${PV}.tar.gz )
"
fi

LICENSE="GPL-3 LGPL-3 Apache-2.0"
SLOT="0"

IUSE="clickhouse curl dbi debug doc elasticsearch +gcrypt gnutls imhttp"
IUSE+=" impcap jemalloc kafka kerberos kubernetes libressl mdblookup"
IUSE+=" mongodb mysql normalize omhttp omhttpfs omudpspoof +openssl"
IUSE+=" postgres rabbitmq redis relp rfc3195 rfc5424hmac snmp +ssl"
IUSE+=" systemd test usertools +uuid xxhash zeromq"

RESTRICT="!test? ( test )"

REQUIRED_USE="
kubernetes? ( normalize )
ssl? ( || ( gnutls openssl ) )
"

BDEPEND=">=sys-devel/autoconf-archive-2015.02.24
virtual/pkgconfig
elibc_musl? ( sys-libs/queue-standalone )
test? (
jemalloc? ( <sys-libs/libfaketime-0.9.7 )
!jemalloc? ( sys-libs/libfaketime )
${PYTHON_DEPS}
)"

RDEPEND="
>=dev-libs/libfastjson-0.99.8:=
>=dev-libs/libestr-0.1.9
>=sys-libs/zlib-1.2.5
curl? ( >=net-misc/curl-7.35.0 )
dbi? ( >=dev-db/libdbi-0.8.3 )
elasticsearch? ( >=net-misc/curl-7.35.0 )
gcrypt? ( >=dev-libs/libgcrypt-1.5.3:= )
imhttp? ( www-servers/civetweb )
impcap? ( net-libs/libpcap )
jemalloc? ( >=dev-libs/jemalloc-3.3.1:= )
kafka? ( >=dev-libs/librdkafka-0.9.0.99:= )
kerberos? ( virtual/krb5 )
kubernetes? ( >=net-misc/curl-7.35.0 )
mdblookup? ( dev-libs/libmaxminddb:= )
mongodb? ( >=dev-libs/mongo-c-driver-1.1.10:= )
mysql? ( dev-db/mysql-connector-c:= )
normalize? (
>=dev-libs/liblognorm-2.0.3:=
)
clickhouse? ( >=net-misc/curl-7.35.0 )
omhttpfs? ( >=net-misc/curl-7.35.0 )
omudpspoof? ( >=net-libs/libnet-1.1.6 )
postgres? ( >=dev-db/postgresql-8.4.20:= )
rabbitmq? ( >=net-libs/rabbitmq-c-0.3.0:= )
redis? ( >=dev-libs/hiredis-0.11.0:= )
relp? ( >=dev-libs/librelp-1.2.17:= )
rfc3195? ( >=dev-libs/liblogging-1.0.1:=[rfc3195] )
rfc5424hmac? (
!libressl? ( >=dev-libs/openssl-0.9.8y:0= )
libressl? ( dev-libs/libressl:= )
)
snmp? ( >=net-analyzer/net-snmp-5.7.2 )
ssl? (
gnutls? ( >=net-libs/gnutls-2.12.23:0= )
openssl? (
!libressl? ( dev-libs/openssl:0= )
libressl? ( dev-libs/libressl:0= )
)
)
systemd? ( >=sys-apps/systemd-234 )
uuid? ( sys-apps/util-linux:0= )
xxhash? ( dev-libs/xxhash:= )
zeromq? (
>=net-libs/czmq-4:=[drafts]
)"
DEPEND="${RDEPEND}
test? (
>=dev-libs/liblogging-1.0.1[stdlog]
)"

if [[ ${PV} == "9999" ]]; then
BDEPEND+=" doc? ( >=dev-python/sphinx-1.1.3-r7 )"
BDEPEND+=" >=sys-devel/flex-2.5.39-r1"
BDEPEND+=" >=sys-devel/bison-2.4.3"
BDEPEND+=" >=dev-python/docutils-0.12"
fi

CONFIG_CHECK="~INOTIFY_USER"
WARNING_INOTIFY_USER="CONFIG_INOTIFY_USER isn't set. Imfile module on this system will only support polling mode!"

pkg_setup() {
use test && python-any-r1_pkg_setup
}

src_unpack() {
if [[ ${PV} == "9999" ]]; then
git-r3_fetch
git-r3_checkout
else
unpack ${P}.tar.gz
fi

if use doc; then
if [[ ${PV} == "9999" ]]; then
local _EGIT_BRANCH=
if [[ -n "${EGIT_BRANCH}" ]]; then
# Cannot use rsyslog commits/branches for documentation repository
_EGIT_BRANCH=${EGIT_BRANCH}
unset EGIT_BRANCH
fi

git-r3_fetch "${DOC_REPO_URI}"
git-r3_checkout "${DOC_REPO_URI}" "${S}"/docs

if [[ -n "${_EGIT_BRANCH}" ]]; then
# Restore previous EGIT_BRANCH information
EGIT_BRANCH=${_EGIT_BRANCH}
fi
else
cd "${S}" || die "Cannot change dir into '${S}'"
mkdir docs || die "Failed to create docs directory"
cd docs || die "Failed to change dir into '${S}/docs'"
unpack ${PN}-doc-${PV}.tar.gz
fi
fi
}

src_prepare() {
default

# https://github.com/rsyslog/rsyslog/issues/3626
sed -i \
-e '\|^#!/bin/bash$|a exit 77' \
tests/mmkubernetes-cache-expir*.sh \
|| die "Failed to disabled known test failure mmkubernetes-cache-expir*.sh"

eautoreconf
}

src_configure() {
# Maintainer notes:
# * Guardtime support is missing because libgt isn't yet available
# in portage.
# * Hadoop's HDFS file system output module is currently not
# supported in Gentoo because nobody is able to test it
# (JAVA dependency).
# * dev-libs/hiredis doesn't provide pkg-config (see #504614,
# upstream PR 129 and 136) so we need to export HIREDIS_*
# variables because rsyslog's build system depends on pkg-config.

if use redis; then
export HIREDIS_LIBS="-L${EPREFIX}/usr/$(get_libdir) -lhiredis"
export HIREDIS_CFLAGS="-I${EPREFIX}/usr/include"
fi

local myeconfargs=(
--disable-debug-symbols
--disable-generate-man-pages
--without-valgrind-testbench
--disable-liblogging-stdlog
$(use_enable test testbench)
$(use_enable test libfaketime)
$(use_enable test extended-tests)
# Input Plugins without dependencies
--enable-imbatchreport
--enable-imdiag
--enable-imfile
--enable-improg
--enable-impstats
--enable-imptcp
# Message Modificiation Plugins without dependencies
--enable-mmanon
--enable-mmaudit
--enable-mmcount
--enable-mmfields
--enable-mmjsonparse
--enable-mmpstrucdata
--enable-mmrm1stspace
--enable-mmsequence
--enable-mmtaghostname
--enable-mmutf8fix
# Output Modification Plugins without dependencies
--enable-mail
--enable-omprog
--enable-omruleset
--enable-omstdout
--enable-omuxsock
# Misc
--enable-fmhash
$(use_enable xxhash fmhash-xxhash)
--enable-pmaixforwardedfrom
--enable-pmciscoios
--enable-pmcisconames
--enable-pmdb2diag
--enable-pmlastmsg
$(use_enable normalize pmnormalize)
--enable-pmnull
--enable-pmpanngfw
--enable-pmsnare
# DB
$(use_enable dbi libdbi)
$(use_enable mongodb ommongodb)
$(use_enable mysql)
$(use_enable postgres pgsql)
$(use_enable redis imhiredis)
$(use_enable redis omhiredis)
# Debug
$(use_enable debug)
$(use_enable debug diagtools)
$(use_enable debug valgrind)
# Misc
$(use_enable clickhouse)
$(use_enable curl fmhttp)
$(use_enable elasticsearch)
$(use_enable gcrypt libgcrypt)
$(use_enable imhttp)
$(use_enable impcap)
$(use_enable jemalloc)
$(use_enable kafka imkafka)
$(use_enable kafka omkafka)
$(use_enable kerberos gssapi-krb5)
$(use_enable kubernetes mmkubernetes)
$(use_enable normalize mmnormalize)
$(use_enable mdblookup mmdblookup)
$(use_enable omhttp)
$(use_enable omhttpfs)
$(use_enable omudpspoof)
$(use_enable rabbitmq omrabbitmq)
$(use_enable relp)
$(use_enable rfc3195)
$(use_enable rfc5424hmac mmrfc5424addhmac)
$(use_enable snmp)
$(use_enable snmp mmsnmptrapd)
$(use_enable gnutls)
$(use_enable openssl)
$(use_enable systemd imjournal)
$(use_enable systemd omjournal)
$(use_enable usertools)
$(use_enable uuid)
$(use_enable zeromq imczmq)
$(use_enable zeromq omczmq)
--with-systemdsystemunitdir="$(systemd_get_systemunitdir)"
)

econf "${myeconfargs[@]}"
}

src_compile() {
default

if use doc && [[ "${PV}" == "9999" ]]; then
einfo "Building documentation ..."
local doc_dir="${S}/docs"
cd "${doc_dir}" || die "Cannot chdir into \"${doc_dir}\"!"
sphinx-build -b html source build || die "Building documentation failed!"
fi
}

src_test() {
local _has_increased_ulimit=

# Sometimes tests aren't executable (i.e. when added via patch)
einfo "Adjusting permissions of test scripts ..."
find "${S}"/tests -type f -name '*.sh' \! -perm -111 -exec chmod a+x '{}' \; || \
die "Failed to adjust test scripts permission"

if ulimit -n 3072; then
_has_increased_ulimit="true"
fi

if ! emake --jobs 1 check; then
eerror "Test suite failed! :("

if [[ -z "${_has_increased_ulimit}" ]]; then
eerror "Probably because open file limit couldn't be set to 3072."
fi

if has userpriv ${FEATURES}; then
eerror "Please try to reproduce the test suite failure with FEATURES=-userpriv " \
"before you submit a bug report."
fi

fi
}

src_install() {
local DOCS=(
AUTHORS
ChangeLog
"${FILESDIR}"/README.gentoo
)

use doc && local HTML_DOCS=( "${S}/docs/build/." )

default

newconfd "${FILESDIR}/${PN}.confd-r1" ${PN}
newinitd "${FILESDIR}/${PN}.initd-r1" ${PN}

systemd_newunit "${FILESDIR}/${PN}.service" ${PN}.service

keepdir /var/empty/dev
keepdir /var/spool/${PN}
keepdir /etc/ssl/${PN}
keepdir /etc/${PN}.d

insinto /etc
newins "${FILESDIR}/${PN}.conf" ${PN}.conf

insinto /etc/rsyslog.d/
newins "${FILESDIR}/50-default-r1.conf" 50-default.conf

insinto /etc/logrotate.d/
newins "${FILESDIR}/${PN}-r1.logrotate" ${PN}

if use mysql; then
insinto /usr/share/${PN}/scripts/mysql
doins plugins/ommysql/createDB.sql
fi

if use postgres; then
insinto /usr/share/${PN}/scripts/pgsql
doins plugins/ompgsql/createDB.sql
fi

find "${ED}" -name '*.la' -delete || die
}

pkg_postinst() {
local advertise_readme=0

if [[ -z "${REPLACING_VERSIONS}" ]]; then
# This is a new installation

advertise_readme=1

if use mysql || use postgres; then
echo
elog "Sample SQL scripts for MySQL & PostgreSQL have been installed to:"
elog " /usr/share/doc/${PF}/scripts"
fi

if use ssl; then
echo
elog "To create a default CA and certificates for your server and clients, run:"
elog " emerge --config =${PF}"
elog "on your logging server. You can run it several times,"
elog "once for each logging client. The client certificates will be signed"
elog "using the CA certificate generated during the first run."
fi
fi

if [[ ${advertise_readme} -gt 0 ]]; then
# We need to show the README file location

echo ""
elog "Please read"
elog ""
elog " ${EPREFIX}/usr/share/doc/${PF}/README.gentoo*"
elog ""
elog "for more details."
fi
}

pkg_config() {
if ! use ssl; then
einfo "There is nothing to configure for rsyslog unless you"
einfo "used USE=ssl to build it."
return 0
fi

if ! hash certtool &>/dev/null; then
die "certtool not found! Is net-libs/gnutls[tools] is installed?"
fi

# Make sure the certificates directory exists
local CERTDIR="${EROOT}/etc/ssl/${PN}"
if [[ ! -d "${CERTDIR}" ]]; then
mkdir "${CERTDIR}" || die
fi
einfo "Your certificates will be stored in ${CERTDIR}"

# Create a default CA if needed
if [[ ! -f "${CERTDIR}/${PN}_ca.cert.pem" ]]; then
einfo "No CA key and certificate found in ${CERTDIR}, creating them for you..."
certtool --generate-privkey \
--outfile "${CERTDIR}/${PN}_ca.privkey.pem" || die
chmod 400 "${CERTDIR}/${PN}_ca.privkey.pem"

cat > "${T}/${PF}.$$" <<- _EOF
cn = Portage automated CA
ca
cert_signing_key
expiration_days = 3650
_EOF

certtool --generate-self-signed \
--load-privkey "${CERTDIR}/${PN}_ca.privkey.pem" \
--outfile "${CERTDIR}/${PN}_ca.cert.pem" \
--template "${T}/${PF}.$$" || die
chmod 400 "${CERTDIR}/${PN}_ca.privkey.pem"

# Create the server certificate
echo
einfon "Please type the Common Name of the SERVER you wish to create a certificate for: "
read -r CN

einfo "Creating private key and certificate for server ${CN}..."
certtool --generate-privkey \
--outfile "${CERTDIR}/${PN}_${CN}.key.pem" || die
chmod 400 "${CERTDIR}/${PN}_${CN}.key.pem"

cat > "${T}/${PF}.$$" <<- _EOF
cn = ${CN}
tls_www_server
dns_name = ${CN}
expiration_days = 3650
_EOF

certtool --generate-certificate \
--outfile "${CERTDIR}/${PN}_${CN}.cert.pem" \
--load-privkey "${CERTDIR}/${PN}_${CN}.key.pem" \
--load-ca-certificate "${CERTDIR}/${PN}_ca.cert.pem" \
--load-ca-privkey "${CERTDIR}/${PN}_ca.privkey.pem" \
--template "${T}/${PF}.$$" &>/dev/null
chmod 400 "${CERTDIR}/${PN}_${CN}.cert.pem"

else
einfo "Found existing ${CERTDIR}/${PN}_ca.cert.pem, skipping CA and SERVER creation."
fi

# Create a client certificate
echo
einfon "Please type the Common Name of the CLIENT you wish to create a certificate for: "
read -r CN

einfo "Creating private key and certificate for client ${CN}..."
certtool --generate-privkey \
--outfile "${CERTDIR}/${PN}_${CN}.key.pem" || die
chmod 400 "${CERTDIR}/${PN}_${CN}.key.pem"

cat > "${T}/${PF}.$$" <<- _EOF
cn = ${CN}
tls_www_client
dns_name = ${CN}
expiration_days = 3650
_EOF

certtool --generate-certificate \
--outfile "${CERTDIR}/${PN}_${CN}.cert.pem" \
--load-privkey "${CERTDIR}/${PN}_${CN}.key.pem" \
--load-ca-certificate "${CERTDIR}/${PN}_ca.cert.pem" \
--load-ca-privkey "${CERTDIR}/${PN}_ca.privkey.pem" \
--template "${T}/${PF}.$$" || die
chmod 400 "${CERTDIR}/${PN}_${CN}.cert.pem"

rm -f "${T}/${PF}.$$"

echo
einfo "Here is the documentation on how to encrypt your log traffic:"
einfo " https://www.rsyslog.com/doc/rsyslog_tls.html"
}

+ 0
- 407
app-admin/superadduser/files/1.0.9/superadduser View File

@@ -1,407 +0,0 @@
#!/bin/bash
#
# Copyright 1995 Hrvoje Dogan, Croatia.
# Copyright 2002, 2003, 2004 Stuart Winter, West Midlands, England, UK.
# Copyright 2004 Slackware Linux, Inc., Concord, CA, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
# permitted provided that the following conditions are met:
#
# 1. Redistributions of this script must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
#
##########################################################################
# Program: /usr/sbin/adduser
# Purpose: Interactive front end to /usr/sbin/useradd for Slackware Linux
# Author : Stuart Winter <stuart@polplex.co.uk>
# Based on the original Slackware adduser by Hrvoje Dogan
# with modifications by Patrick Volkerding
# Version: 1.09
##########################################################################
# Usage..: adduser [<new_user_name>]
##########################################################################
# History #
###########
# v1.09 - 07/06/04
# * Added standard Slackware script licence to the head of this file.
# v1.08 - 25/04/04
# * Disallow user names that begin with a numeric because useradd
# (from shadow v4.03) does not allow them. <sw>
# v1.07 - 07/03/03
# * When supplying a null string for the uid (meaning 'Choose next available'),
# if there were file names in the range 'a-z' in the pwd then the
# egrep command considered these files rather than the null string.
# The egrep expression is now in quotes.
# Reported & fixed by Vadim O. Ustiansky <sw>
# v1.06 - 31/03/03
# * Ask to chown user.group the home directory if it already exists.
# This helps reduce later confusion when adding users whose home dir
# already exists (mounted partition for example) and is owned
# by a user other than the user to which the directory is being
# assigned as home. Default is not to chown.
# Brought to my attention by mRgOBLIN. <sw>
# v1.05 - 04/01/03
# * Advise & prevent users from creating logins with '.' characters
# in the user name. <sw>
# * Made pending account creation info look neater <sw>
# v1.04 - 09/06/02
# * Catered for shadow-4.0.3's 'useradd' binary that no longer
# will let you create a user that has any uppercase chars in it
# This was reported on the userlocal.org forums
# by 'xcp' - thanks. <sw,pjv>
# v1.03 - 20/05/02
# * Support 'broken' (null lines in) /etc/passwd and
# /etc/group files <sw>
# * For recycling UIDs (default still 'off'), we now look in
# /etc/login.defs for the UID_MIN value and use it
# If not found then default to 1000 <sw>
# v1.02 - 10/04/02
# * Fix user-specified UID bug. <pjv>
# v1.01 - 23/03/02
# * Match Slackware indenting style, simplify. <pjv>
# v1.00 - 22/03/02
# * Created
#######################################################################

# Path to files
pfile=/etc/passwd
gfile=/etc/group
sfile=/etc/shells

# Paths to binaries
useradd=/usr/sbin/useradd
chfn=/usr/bin/chfn
passwd=/usr/bin/passwd
chmod=/bin/chmod

# Defaults
defhome=/home
defshell=/bin/bash
defchmod=711 # home dir permissions - may be preferable to use 701, however.
defgroup=users

# Determine what the minimum UID is (for UID recycling)
# (we ignore it if it's not at the beginning of the line (i.e. commented out with #))
export recycleUIDMIN="$(grep ^UID_MIN /etc/login.defs | awk '{print $2}' 2>/dev/null)"
# If we couldn't find it, set it to the default of 1000
if [[ -z "$recycleUIDMIN" ]]; then
export recycleUIDMIN=1000 # this is the default from Slackware's /etc/login.defs
fi


# This setting enables the 'recycling' of older unused UIDs.
# When you userdel a user, it removes it from passwd and shadow but it will
# never get used again unless you specify it expliticly -- useradd (appears to) just
# look at the last line in passwd and increment the uid. I like the idea of
# recycling uids but you may have very good reasons not to (old forgotten
# confidential files still on the system could then be owned by this new user).
# We'll set this to no because this is what the original adduser shell script
# did and it's what users expect.
recycleuids=no

# Function to read keyboard input.
# bash1 is broken (even ash will take read -ep!), so we work around
# it (even though bash1 is no longer supported on Slackware).
function get_input() {
local output
if [[ "`echo $BASH_VERSION | cut -b1`" = "1" ]]; then
echo -n "${1} " >&2 # fudge for use with bash v1
read output
else # this should work with any other /bin/sh
read -ep "${1} " output
fi
echo $output
}

# Function to display the account info
function display () {
local goose
goose="$(echo $2 | cut -d ' ' -f 2-)" # lop off the prefixed argument useradd needs
echo -n "$1 "
# If it's null then display the 'other' information
if [ -z "$goose" -a ! -z "$3" ]; then
echo "$3"
else
echo "$goose"
fi
}

# Function to check whether groups exist in the /etc/group file
function check_group () {
local got_error group
if [[ ! -z "$@" ]]; then
for group in $@ ; do
local uid_not_named="" uid_not_num=""
grep -v "$^" $gfile | awk -F: '{print $1}' | grep "^${group}$" >/dev/null 2>&1 || uid_not_named=yes
grep -v "$^" $gfile | awk -F: '{print $3}' | grep "^${group}$" >/dev/null 2>&1 || uid_not_num=yes
if [ ! -z "$uid_not_named" -a ! -z "$uid_not_num" ]; then
echo "- Group '$group' does not exist"
got_error=yes
fi
done
fi
# Return exit code of 1 if at least one of the groups didn't exist
if [[ ! -z "$got_error" ]]; then
return 1
fi
}

#: Read the login name for the new user :#
#
# Remember that most Mail Transfer Agents are case independant, so having
# 'uSer' and 'user' may cause confusion/things to break. Because of this,
# useradd from shadow-4.0.3 no longer accepts usernames containing uppercase,
# and we must reject them, too.

# Set the login variable to the command line param
echo
LOGIN="$1"
needinput=yes
while [[ ! -z $needinput ]]; do
if [[ -z "$LOGIN" ]]; then
while [[ -z "$LOGIN" ]]; do LOGIN="$(get_input "Login name for new user []:")" ; done
fi
grep "^${LOGIN}:" $pfile >/dev/null 2>&1 # ensure it's not already used
if [[ $? -eq 0 ]]; then
echo "- User '$LOGIN' already exists; please choose another"
unset LOGIN
elif [[ ! -z "$( echo $LOGIN | grep "^[0-9]" )" ]]; then
echo "- User names cannot begin with a number; please choose another"
unset LOGIN
elif [[ ! "$LOGIN" = "`echo $LOGIN | tr A-Z a-z`" ]]; then # useradd does not allow uppercase
echo "- User '$LOGIN' contains illegal characters (uppercase); please choose another"
unset LOGIN
elif [[ ! -z "$( echo $LOGIN | grep '\.' )" ]]; then
echo "- User '$LOGIN' contains illegal characters (period/dot); please choose another"
unset LOGIN
else
unset needinput
fi
done

# Display the user name passed from the shell if it hasn't changed
if [[ "$1" = "$LOGIN" ]]; then
echo "Login name for new user: $LOGIN"
fi

#: Get the UID for the user & ensure it's not already in use :#
#
# Whilst we _can_ allow users with identical UIDs, it's not a 'good thing' because
# when you change password for the uid, it finds the first match in /etc/passwd
# which isn't necessarily the correct user
#
echo
needinput=yes
while [[ ! -z "$needinput" ]]; do
_UID="$(get_input "User ID ('UID') [ defaults to next available ]:")"
grep -v "^$" $pfile | awk -F: '{print $3}' | grep "^${_UID}$" >/dev/null 2>&1
if [[ $? -eq 0 ]]; then
echo "- That UID is already in use; please choose another"
elif [ ! -z "$(echo $_UID | egrep '[A-Za-z]')" ]; then
echo "- UIDs are numerics only"
else
unset needinput
fi
done
# If we were given a UID, then syntax up the variable to pass to useradd
if [[ ! -z "$_UID" ]]; then
U_ID="-u ${_UID}"
else
# Will we be recycling UIDs?
if [[ "$recycleuids" = "yes" ]]; then
U_ID="-u $(awk -F: '{uid[$3]=1} END { for (i=ENVIRON["recycleUIDMIN"];i in uid;i++);print i}' $pfile)"
fi
fi

#: Get the initial group for the user & ensure it exists :#
#
# We check /etc/group for both the text version and the group ID number
echo
needinput=yes
while [[ ! -z "$needinput" ]]; do
GID="$(get_input "Initial group [ ${defgroup} ]:")"
check_group "$GID"
if [[ $? -gt 0 ]]; then
echo "- Please choose another"
else
unset needinput
fi
done
# Syntax the variable ready for useradd
if [[ -z "$GID" ]]; then
GID="-g ${defgroup}"
else
GID="-g ${GID}"
fi

#: Get additional groups for the user :#
#
echo
needinput=yes
while [[ ! -z "$needinput" ]]; do
AGID="$(get_input "Additional groups (comma separated) []:")"
AGID="$(echo "$AGID" | tr -d ' ' | tr , ' ')" # fix up for parsing
if [[ ! -z "$AGID" ]]; then
check_group "$AGID" # check all groups at once (treated as N # of params)
if [[ $? -gt 0 ]]; then
echo "- Please re-enter the group(s)"
else
unset needinput # we found all groups specified
AGID="-G $(echo "$AGID" | tr ' ' ,)"
fi
else
unset needinput # we don't *have* to have additional groups
fi
done

#: Get the new user's home dir :#
#
echo
needinput=yes
while [[ ! -z "$needinput" ]]; do
HME="$(get_input "Home directory [ ${defhome}/${LOGIN} ]")"
if [[ -z "$HME" ]]; then
HME="${defhome}/${LOGIN}"
fi
# Warn the user if the home dir already exists
if [[ -d "$HME" ]]; then
echo "- Warning: '$HME' already exists !"
getyn="$(get_input " Do you wish to change the home directory path ? (Y/n) ")"
if [[ "$(echo $getyn | grep -i "n")" ]]; then
unset needinput
# You're most likely going to only do this if you have the dir *mounted* for this user's $HOME
getyn="$(get_input " Do you want to chown $LOGIN.$( echo $GID | awk '{print $2}') $HME ? (y/N) ")"
if [[ "$(echo $getyn | grep -i "y")" ]]; then
CHOWNHOMEDIR=$HME # set this to the home directory
fi
fi
else
unset needinput
fi
done
HME="-d ${HME}"

#: Get the new user's shell :#
echo
needinput=yes
while [[ ! -z "$needinput" ]]; do
unset got_error
SHL="$(get_input "Shell [ ${defshell} ]")"
if [[ -z "$SHL" ]]; then
SHL="${defshell}"
fi
# Warn the user if the shell doesn't exist in /etc/shells or as a file
if [[ -z "$(grep "^${SHL}$" $sfile)" ]]; then
echo "- Warning: ${SHL} is not in ${sfile} (potential problem using FTP)"
got_error=yes
fi
if [[ ! -f "$SHL" ]]; then
echo "- Warning: ${SHL} does not exist as a file"
got_error=yes
fi
if [[ ! -z "$got_error" ]]; then
getyn="$(get_input " Do you wish to change the shell ? (Y/n) ")"
if [[ "$(echo $getyn | grep -i "n")" ]]; then
unset needinput
fi
else
unset needinput
fi
done
SHL="-s ${SHL}"

#: Get the expiry date :#
echo
needinput=yes
while [[ ! -z "$needinput" ]]; do
EXP="$(get_input "Expiry date (YYYY-MM-DD) []:")"
if [[ ! -z "$EXP" ]]; then
# Check to see whether the expiry date is in the valid format
if [ -z "$(echo "$EXP" | grep "^[[:digit:]]\{4\}[-]\?[[:digit:]]\{2\}[-]\?[[:digit:]]\{2\}$")" ]; then
echo "- That is not a valid expiration date"
else
unset needinput
EXP="-e ${EXP}"
fi
else
unset needinput
fi
done

# Display the info about the new impending account
echo
echo "New account will be created as follows:"
echo
echo "---------------------------------------"
display "Login name.......: " "$LOGIN"
display "UID..............: " "$_UID" "[ Next available ]"
display "Initial group....: " "$GID"
display "Additional groups: " "$AGID" "[ None ]"
display "Home directory...: " "$HME"
display "Shell............: " "$SHL"
display "Expiry date......: " "$EXP" "[ Never ]"
echo

echo "This is it... if you want to bail out, hit Control-C. Otherwise, press"
echo "ENTER to go ahead and make the account."
read junk

echo
echo "Creating new account..."
echo
echo

# Add the account to the system
CMD="$useradd "$HME" -m "$EXP" "$U_ID" "$GID" "$AGID" "$SHL" "$LOGIN""
$CMD

if [[ $? -gt 0 ]]; then
echo "- Error running useradd command -- account not created!"
echo "(cmd: $CMD)"
exit 1
fi

# chown the home dir ? We can only do this once the useradd has
# completed otherwise the user name doesn't exist.
if [[ ! -z "${CHOWNHOMEDIR}" ]]; then
chown "$LOGIN"."$( echo $GID | awk '{print $2}')" "${CHOWNHOMEDIR}"
fi

# Set the finger information
$chfn "$LOGIN"
if [[ $? -gt 0 ]]; then
echo "- Warning: an error occurred while setting finger information"
fi

# Set a password
$passwd "$LOGIN"
if [[ $? -gt 0 ]]; then
echo "* WARNING: An error occured while setting the password for"
echo " this account. Please manually investigate this *"
exit 1
fi

# If it was created (it should have been!), set the permissions for that user's dir
HME="$(echo "$HME" | awk '{print $2}')" # We have to remove the -g prefix
if [[ -d "$HME" ]]; then
$chmod $defchmod "$HME"
fi

echo
echo
echo "Account setup complete."
exit 0


+ 4
- 4
app-admin/superadduser/metadata.xml View File

@@ -1,8 +1,8 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="project">
<email>base-system@gentoo.org</email>
<name>Gentoo Base System</name>
</maintainer>
<maintainer type="project">
<email>base-system@gentoo.org</email>
<name>Gentoo Base System</name>
</maintainer>
</pkgmetadata>

+ 0
- 22
app-admin/superadduser/superadduser-1.0.9.ebuild View File

@@ -1,22 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=6

DESCRIPTION="Interactive adduser script from Slackware"
HOMEPAGE="http://www.interlude.org.uk/unix/slackware/"
SRC_URI=""

LICENSE="BSD"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~m68k ~mips ppc ppc64 ~s390 sparc x86"
IUSE=""

RDEPEND="sys-apps/shadow"

S=${WORKDIR}

src_install() {
dosbin "${FILESDIR}"/${PV}/superadduser
doman "${FILESDIR}"/superadduser.8
}

+ 2
- 5
app-admin/superadduser/superadduser-1.15.ebuild View File

@@ -1,21 +1,18 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI="6"
EAPI=7

DESCRIPTION="Interactive adduser script from Slackware"
HOMEPAGE="http://www.interlude.org.uk/unix/slackware/"
SRC_URI=""
S="${WORKDIR}"

LICENSE="BSD"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~m68k ~mips ppc ppc64 ~s390 sparc x86"
IUSE=""

RDEPEND="sys-apps/shadow"

S=${WORKDIR}

src_install() {
dosbin "${FILESDIR}"/${PV}/superadduser
doman "${FILESDIR}"/superadduser.8


+ 1
- 1
app-admin/sysklogd/sysklogd-2.2.2.ebuild View File

@@ -13,7 +13,7 @@ if [[ "${PV}" == *9999 ]] ; then
EGIT_REPO_URI="https://github.com/troglobit/sysklogd.git"
else
SRC_URI="https://github.com/troglobit/sysklogd/releases/download/v${PV}/${P}.tar.gz"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86"
KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ia64 ~mips ppc ~ppc64 ~s390 sparc ~x86"
fi

LICENSE="BSD"


+ 0
- 1
app-admin/system-tools-backends/Manifest View File

@@ -1 +0,0 @@
DIST system-tools-backends-2.10.2.tar.bz2 448939 BLAKE2B 2a9a957b1f5438dd40997eaa2efba634fc21a9b7c3d26c3a48ac714e62d80b0a782582325ef92a3309024f278d73ac93c7611e51eca62a210ab44436e6bf9129 SHA512 9ee3e0643122740493265e532350fed9056334de0ea3d6656daa1d42b97f76f0f85024ac87e732fe5122a1e31ad009a1d2f119720081673a06696b81452fb990

+ 0
- 46
app-admin/system-tools-backends/files/system-tools-backends-2.8.2-cve-2008-4311.patch View File

@@ -1,47 +0,0 @@
From 544d679c2796602ff277e78e238abd56d30ad633 Mon Sep 17 00:00:00 2001
From: Gilles Dartiguelongue <eva@gentoo.org>
Date: Mon, 14 Dec 2009 20:37:58 +0100
Subject: [PATCH 3/4] Gentoo: fix CVE-2008-4311

commit fd648907e46017d46c367f59c62d0b0395830903
Author: Simon McVittie <http://smcv.pseudorandom.co.uk/>
Date: 2009-01-04 19:35:51 +0000

Allow root to send messages to all the system tools backends, so
they work even when CVE-2008-4311 has been fixed.

Also disallow normal user access by destination, not by
interface (fd.o #18961).
---
org.freedesktop.SystemToolsBackends.conf | 8 ++++----
1 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/org.freedesktop.SystemToolsBackends.conf b/org.freedesktop.SystemToolsBackends.conf
index 58972ee..537ef73 100644
--- a/org.freedesktop.SystemToolsBackends.conf
+++ b/org.freedesktop.SystemToolsBackends.conf
@@ -22,8 +22,10 @@
<allow send_interface="org.freedesktop.SystemToolsBackends.Platform" send_member="getPlatform"/>
-->
- <!-- Only allow talking to the dispatcher -->
- <allow send_destination="org.freedesktop.SystemToolsBackends"/>
+ <!-- configuration modules can't be accessed directly... -->
+ <deny send_destination="org.freedesktop.SystemToolsBackends"/>
+ <deny send_destination="org.freedesktop.SystemToolsBackends.Platform"/>
+ <deny send_destination="org.freedesktop.SystemToolsBackends"/>
</policy>
<policy user="0">
@@ -45,8 +47,6 @@
<!-- be able to speak to configuration modules,
so any message to them has to go through the dispatcher -->
- <allow send_interface="org.freedesktop.SystemToolsBackends"/>
- <allow send_interface="org.freedesktop.SystemToolsBackends.Platform"/>
<allow send_destination="org.freedesktop.SystemToolsBackends"/>
<allow send_destination="org.freedesktop.SystemToolsBackends.Platform"/>
<allow send_destination="org.freedesktop.SystemToolsBackends.GroupsConfig"/>
1.6.5.4


+ 0
- 24
app-admin/system-tools-backends/files/system-tools-backends-2.8.2-default-permissions.patch View File

@@ -1,25 +0,0 @@
From ea88120dac8ba2c2dabf4c393c283f69b3d33b5a Mon Sep 17 00:00:00 2001
From: Gilles Dartiguelongue <eva@gentoo.org>
Date: Mon, 14 Dec 2009 20:37:15 +0100
Subject: [PATCH 2/4] Gentoo: restrict access to stb to users in stb-admin group

---
org.freedesktop.SystemToolsBackends.conf | 4 ++++
1 files changed, 4 insertions(+), 0 deletions(-)

diff --git a/org.freedesktop.SystemToolsBackends.conf b/org.freedesktop.SystemToolsBackends.conf
index d031525..58972ee 100644
--- a/org.freedesktop.SystemToolsBackends.conf
+++ b/org.freedesktop.SystemToolsBackends.conf
@@ -60,4 +60,8 @@
<allow send_destination="org.freedesktop.SystemToolsBackends.UserConfig"/>
<allow send_destination="org.freedesktop.SystemToolsBackends.UsersConfig"/>
</policy>
+ <policy group="stb-admin">
+ <!-- be able to speak to the dispatcher -->
+ <allow send_destination="org.freedesktop.SystemToolsBackends"/>
+ </policy>
</busconfig>
1.6.5.4


+ 0
- 13
app-admin/system-tools-backends/metadata.xml View File

@@ -1,13 +0,0 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="project">
<email>lxqt@gentoo.org</email>
<name>LXQt</name>
</maintainer>
<longdescription lang="en">
The System Tools Backends are a set of cross-platform modules for Linux,
FreeBSD, Solaris and other Unix systems. The backends provide an common DBus
interface to all distros for modifying or reading the system configuration.
</longdescription>
</pkgmetadata>

+ 0
- 66
app-admin/system-tools-backends/system-tools-backends-2.10.2-r1.ebuild View File

@@ -1,66 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI="5"
GCONF_DEBUG="no"
GNOME_TARBALL_SUFFIX="bz2"

inherit epatch gnome2 readme.gentoo user

DESCRIPTION="Tools aimed to make easy the administration of UNIX systems"
HOMEPAGE="https://projects.gnome.org/gst/"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~ia64 ppc sparc x86"
IUSE=""

RDEPEND="
!<app-admin/gnome-system-tools-1.1.91
>=sys-apps/dbus-1.1.2
>=dev-libs/dbus-glib-0.74
>=dev-libs/glib-2.15.2:2
>=dev-perl/Net-DBus-0.33.4
dev-lang/perl
>=sys-auth/polkit-0.94
userland_GNU? ( sys-apps/shadow )
"
DEPEND="${RDEPEND}
virtual/pkgconfig
>=dev-util/intltool-0.40"

DISABLE_AUTOFORMATTING="yes"
DOC_CONTENTS="You need to add yourself to the group stb-admin and
add system-tools-backends to the default runlevel.
You can do this as root like so:
# rc-update add system-tools-backends default
"

pkg_setup() {
enewgroup stb-admin
}

src_prepare() {
# Change default permission, only people in stb-admin is allowed
# to speak to the dispatcher.
epatch "${FILESDIR}/${PN}-2.8.2-default-permissions.patch"

# Apply fix from ubuntu for CVE 2008 4311
epatch "${FILESDIR}/${PN}-2.8.2-cve-2008-4311.patch"

gnome2_src_prepare
}

src_configure() {
gnome2_src_configure --localstatedir=/var
}

src_install() {
gnome2_src_install
readme.gentoo_create_doc
}

pkg_postinst() {
gnome2_pkg_postinst
readme.gentoo_print_elog
}

BIN
app-arch/Manifest.gz View File


+ 1
- 1
app-arch/file-roller/file-roller-3.38.1.ebuild View File

@@ -11,7 +11,7 @@ HOMEPAGE="https://wiki.gnome.org/Apps/FileRoller"
LICENSE="GPL-2+ CC-BY-SA-3.0"
SLOT="0"
IUSE="libnotify nautilus"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc x86 ~amd64-linux ~x86-linux"

# gdk-pixbuf used extensively in the source
# cairo used in eggtreemultidnd.c


+ 1
- 1
app-arch/ncompress/ncompress-5.0.ebuild View File

@@ -11,7 +11,7 @@ SRC_URI="https://github.com/vapier/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"

LICENSE="public-domain"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~sparc-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~m68k ~mips ppc ~ppc64 ~s390 sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~sparc-solaris ~x86-solaris"
IUSE=""

src_prepare() {


+ 0
- 165
app-arch/p7zip/p7zip-16.02-r4.ebuild View File

@@ -1,165 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=6

WX_GTK_VER="3.0"

inherit eutils toolchain-funcs wxwidgets

DESCRIPTION="Port of 7-Zip archiver for Unix"
HOMEPAGE="http://p7zip.sourceforge.net/"
SRC_URI="mirror://sourceforge/${PN}/${PN}_${PV}_src_all.tar.bz2"

LICENSE="LGPL-2.1 rar? ( unRAR )"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ppc ppc64 ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris"
IUSE="abi_x86_x32 doc kde +pch rar static wxwidgets"

REQUIRED_USE="kde? ( wxwidgets )"

RDEPEND="wxwidgets? ( x11-libs/wxGTK:${WX_GTK_VER}[X] )"
DEPEND="${RDEPEND}
abi_x86_x32? ( >=dev-lang/yasm-1.2.0-r1 )
amd64? ( dev-lang/yasm )
x86? ( dev-lang/nasm )"

S=${WORKDIR}/${PN}_${PV}

DOCS=( ChangeLog README TODO )

PATCHES=(
"${FILESDIR}"/${P}-darwin.patch
"${FILESDIR}"/CVE-2016-9296.patch
"${FILESDIR}"/CVE-2017-17969.patch
"${FILESDIR}"/CVE-2018-5996.patch
"${FILESDIR}"/CVE-2018-10115.patch
)

src_prepare() {
default

if ! use pch; then
sed "s:PRE_COMPILED_HEADER=StdAfx.h.gch:PRE_COMPILED_HEADER=:g" -i makefile.* || die
fi

sed \
-e 's|-m32 ||g' \
-e 's|-m64 ||g' \
-e 's|-pipe||g' \
-e '/ALLFLAGS/s|-s ||' \
-e "/OPTFLAGS=/s|=.*|=${CXXFLAGS}|" \
-i makefile* || die

# remove non-free RAR codec
if use rar; then
ewarn "Enabling nonfree RAR decompressor"
else
sed \
-e '/Rar/d' \
-e '/RAR/d' \
-i makefile* CPP/7zip/Bundles/Format7zFree/makefile || die
rm -rf CPP/7zip/Compress/Rar || die
fi

if use abi_x86_x32; then
sed -i -e "/^ASM=/s:amd64:x32:" makefile* || die
cp -f makefile.linux_amd64_asm makefile.machine || die
elif use amd64; then
cp -f makefile.linux_amd64_asm makefile.machine || die
elif use x86; then
cp -f makefile.linux_x86_asm_gcc_4.X makefile.machine || die
elif [[ ${CHOST} == *-darwin* ]] ; then
# Mac OS X needs this special makefile, because it has a non-GNU
# linker, it doesn't matter so much for bitwidth, for it doesn't
# do anything with it
cp -f makefile.macosx_llvm_64bits makefile.machine
# bundles have extension .bundle but don't die because USE=-rar
# removes the Rar directory
sed -i -e '/strcpy(name/s/\.so/.bundle/' \
CPP/Windows/DLL.cpp || die
sed -i -e '/^PROG=/s/\.so/.bundle/' \
CPP/7zip/Bundles/Format7zFree/makefile.list \
$(use rar && echo CPP/7zip/Compress/Rar/makefile.list) || die
elif use x86-fbsd; then
# FreeBSD needs this special makefile, because it hasn't -ldl
sed -e 's/-lc_r/-pthread/' makefile.freebsd > makefile.machine
fi

if use static; then
sed -i -e '/^LOCAL_LIBS=/s/LOCAL_LIBS=/&-static /' makefile.machine || die
fi

if use kde || use wxwidgets; then
setup-wxwidgets unicode
einfo "Preparing dependency list"
emake depend
fi
}

src_compile() {
emake CC=$(tc-getCC) CXX=$(tc-getCXX) all3
if use kde || use wxwidgets; then
emake CC=$(tc-getCC) CXX=$(tc-getCXX) -- 7zG
# emake -- 7zFM
fi
}

src_test() {
emake test test_7z test_7zr
}

src_install() {
# this wrappers can not be symlinks, p7zip should be called with full path
make_wrapper 7zr "/usr/$(get_libdir)/${PN}/7zr"
make_wrapper 7za "/usr/$(get_libdir)/${PN}/7za"
make_wrapper 7z "/usr/$(get_libdir)/${PN}/7z"

if use kde || use wxwidgets; then
make_wrapper 7zG "/usr/$(get_libdir)/${PN}/7zG"
# make_wrapper 7zFM "/usr/$(get_libdir)/${PN}/7zFM"

# make_desktop_entry 7zFM "${PN} FM" ${PN} "GTK;Utility;Archiving;Compression"

dobin GUI/p7zipForFilemanager
exeinto /usr/$(get_libdir)/${PN}
# doexe bin/7z{G,FM}
doexe bin/7zG

insinto /usr/$(get_libdir)/${PN}
doins -r GUI/Lang
doins -r DOC/MANUAL

insinto /usr/share/icons/hicolor/16x16/apps/
newins GUI/p7zip_16_ok.png p7zip.png

if use kde; then
rm GUI/kde4/p7zip_compress.desktop || die
insinto /usr/share/kservices5/ServiceMenus
doins GUI/kde4/*.desktop
dodir /usr/share/kde4/services/ServiceMenus # drop these lines after konqueror:4/krusader:4 are gone
for item in "${ED}"usr/share/kservices5/ServiceMenus/*.desktop; do
item="$(basename ${item})"
dosym "/usr/share/kservices5/ServiceMenus/${item}" "/usr/share/kde4/services/ServiceMenus/${item}"
done
fi
fi

dobin contrib/gzip-like_CLI_wrapper_for_7z/p7zip
doman contrib/gzip-like_CLI_wrapper_for_7z/man1/p7zip.1

exeinto /usr/$(get_libdir)/${PN}
doexe bin/7z bin/7za bin/7zr bin/7zCon.sfx
doexe bin/*$(get_modname)
if use rar; then
exeinto /usr/$(get_libdir)/${PN}/Codecs/
doexe bin/Codecs/*$(get_modname)
fi

doman man1/7z.1 man1/7za.1 man1/7zr.1

if use doc; then
dodoc DOC/*.txt
dohtml -r DOC/MANUAL/*
fi
}

+ 0
- 168
app-arch/p7zip/p7zip-16.02-r5.ebuild View File

@@ -1,168 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

WX_GTK_VER="3.0"

inherit eutils toolchain-funcs wxwidgets

DESCRIPTION="Port of 7-Zip archiver for Unix"
HOMEPAGE="http://p7zip.sourceforge.net/"
SRC_URI="mirror://sourceforge/${PN}/${PN}_${PV}_src_all.tar.bz2"

LICENSE="LGPL-2.1 rar? ( unRAR )"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris"
IUSE="abi_x86_x32 doc kde +pch rar static wxwidgets"

REQUIRED_USE="kde? ( wxwidgets )"

RDEPEND="wxwidgets? ( x11-libs/wxGTK:${WX_GTK_VER}[X] )"
DEPEND="${RDEPEND}
abi_x86_x32? ( >=dev-lang/yasm-1.2.0-r1 )
amd64? ( dev-lang/yasm )
x86? ( dev-lang/nasm )"

S=${WORKDIR}/${PN}_${PV}

DOCS=( ChangeLog README TODO )

PATCHES=(
"${FILESDIR}"/${P}-darwin.patch
"${FILESDIR}"/CVE-2016-9296.patch
"${FILESDIR}"/CVE-2017-17969.patch
"${FILESDIR}"/CVE-2018-5996.patch
"${FILESDIR}"/CVE-2018-10115.patch
"${FILESDIR}"/WimHandler.cpp.patch
)

src_prepare() {
default

if ! use pch; then
sed "s:PRE_COMPILED_HEADER=StdAfx.h.gch:PRE_COMPILED_HEADER=:g" -i makefile.* || die
fi

sed \
-e 's|-m32 ||g' \
-e 's|-m64 ||g' \
-e 's|-pipe||g' \
-e "/[ALL|OPT]FLAGS/s|-s||;/OPTIMIZE/s|-s||" \
-e "/CFLAGS=/s|=|+=|" \
-e "/CXXFLAGS=/s|=|+=|" \
-i makefile* || die

# remove non-free RAR codec
if use rar; then
ewarn "Enabling nonfree RAR decompressor"
else
sed \
-e '/Rar/d' \
-e '/RAR/d' \
-i makefile* CPP/7zip/Bundles/Format7zFree/makefile || die
rm -rf CPP/7zip/Compress/Rar || die
fi

if use abi_x86_x32; then
sed -i -e "/^ASM=/s:amd64:x32:" makefile* || die
cp -f makefile.linux_amd64_asm makefile.machine || die
elif use amd64; then
cp -f makefile.linux_amd64_asm makefile.machine || die
elif use x86; then
cp -f makefile.linux_x86_asm_gcc_4.X makefile.machine || die
elif [[ ${CHOST} == *-darwin* ]] ; then
# Mac OS X needs this special makefile, because it has a non-GNU
# linker, it doesn't matter so much for bitwidth, for it doesn't
# do anything with it
cp -f makefile.macosx_llvm_64bits makefile.machine
# bundles have extension .bundle but don't die because USE=-rar
# removes the Rar directory
sed -i -e '/strcpy(name/s/\.so/.bundle/' \
CPP/Windows/DLL.cpp || die
sed -i -e '/^PROG=/s/\.so/.bundle/' \
CPP/7zip/Bundles/Format7zFree/makefile.list \
$(use rar && echo CPP/7zip/Compress/Rar/makefile.list) || die
elif use x86-fbsd; then
# FreeBSD needs this special makefile, because it hasn't -ldl
sed -e 's/-lc_r/-pthread/' makefile.freebsd > makefile.machine
fi

if use static; then
sed -i -e '/^LOCAL_LIBS=/s/LOCAL_LIBS=/&-static /' makefile.machine || die
fi

if use kde || use wxwidgets; then
setup-wxwidgets unicode
einfo "Preparing dependency list"
emake CC=$(tc-getCC) CXX=$(tc-getCXX) depend
fi
}

src_compile() {
emake CC=$(tc-getCC) CXX=$(tc-getCXX) all3
if use kde || use wxwidgets; then
emake CC=$(tc-getCC) CXX=$(tc-getCXX) -- 7zG
# emake CC=$(tc-getCC) CXX=$(tc-getCXX) -- 7zFM
fi
}

src_test() {
emake test test_7z test_7zr
}

src_install() {
# this wrappers can not be symlinks, p7zip should be called with full path
make_wrapper 7zr "/usr/$(get_libdir)/${PN}/7zr"
make_wrapper 7za "/usr/$(get_libdir)/${PN}/7za"
make_wrapper 7z "/usr/$(get_libdir)/${PN}/7z"

if use kde || use wxwidgets; then
make_wrapper 7zG "/usr/$(get_libdir)/${PN}/7zG"
# make_wrapper 7zFM "/usr/$(get_libdir)/${PN}/7zFM"

# make_desktop_entry 7zFM "${PN} FM" ${PN} "GTK;Utility;Archiving;Compression"

dobin GUI/p7zipForFilemanager
exeinto /usr/$(get_libdir)/${PN}
# doexe bin/7z{G,FM}
doexe bin/7zG

insinto /usr/$(get_libdir)/${PN}
doins -r GUI/Lang
doins -r DOC/MANUAL

insinto /usr/share/icons/hicolor/16x16/apps/
newins GUI/p7zip_16_ok.png p7zip.png

if use kde; then
rm GUI/kde4/p7zip_compress.desktop || die
insinto /usr/share/kservices5/ServiceMenus
doins GUI/kde4/*.desktop
dodir /usr/share/kde4/services/ServiceMenus # drop these lines after konqueror:4/krusader:4 are gone
for item in "${ED}"/usr/share/kservices5/ServiceMenus/*.desktop; do
item="$(basename ${item})"
dosym "${EPREFIX}/usr/share/kservices5/ServiceMenus/${item}" "/usr/share/kde4/services/ServiceMenus/${item}"
done
fi
fi

dobin contrib/gzip-like_CLI_wrapper_for_7z/p7zip
doman contrib/gzip-like_CLI_wrapper_for_7z/man1/p7zip.1

exeinto /usr/$(get_libdir)/${PN}
doexe bin/7z bin/7za bin/7zr bin/7zCon.sfx
doexe bin/*$(get_modname)
if use rar; then
exeinto /usr/$(get_libdir)/${PN}/Codecs/
doexe bin/Codecs/*$(get_modname)
fi

doman man1/7z.1 man1/7za.1 man1/7zr.1

if use doc; then
dodoc DOC/*.txt
docinto html
dodoc -r DOC/MANUAL/*
fi
}

+ 1
- 1
app-arch/p7zip/p7zip-16.02-r8.ebuild View File

@@ -13,7 +13,7 @@ S="${WORKDIR}/${PN}_${PV}"

LICENSE="LGPL-2.1 rar? ( unRAR )"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris"
IUSE="abi_x86_x32 doc kde +pch rar static wxwidgets"
REQUIRED_USE="kde? ( wxwidgets )"



+ 1
- 1
app-arch/sharutils/sharutils-4.15.2-r2.ebuild View File

@@ -13,7 +13,7 @@ S="${WORKDIR}"/${MY_P}

LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~m68k ~mips ppc ~ppc64 ~s390 sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
IUSE="nls"

DEPEND="app-arch/xz-utils


+ 0
- 1
app-arch/unrar/Manifest View File

@@ -1,3 +1,2 @@
DIST unrar-6.0.3.tar.gz 232331 BLAKE2B bcea5219daf8338cbb73fc43131d1c7e7a4c576164a30d79352d1bb3a96b3c66fd190dc40a5149b9bf38e723c0654bc5d5d45e246276c2ea18c1c8dc9904e555 SHA512 1ec20e7a122cb7f48936c691a8c3dc96b4dd989aa8416e6a96332733a0839490996baa22f709af3eb07be17e5987d871f995b5dbc36284cb951bed8047bdfb7c
DIST unrar-6.0.4.tar.gz 232379 BLAKE2B 39382eeb71cafdeaa608ef497c44cd88d950d761e5c8395a224b2bdd530328a0060dec658aec943f9af8e135ce29cf86c3522ed17799f869cd0d84cbd7acc74a SHA512 9d2beb39fa0e3c60298b482967f1ae51d8a6531c88f5b8b053cc8905c033c0235cabb776d8449f9d96da6b81946167b84d19acdf93dda7ada14cc3c53bb7df19
DIST unrar-6.0.5.tar.gz 232702 BLAKE2B 8e33d116ae9de06818379f4303241dd7f44ba319619829d0eb2c9257b3fd27e473b636d40edd6049a1ff096ea722fee0a71bf145456923b2664087dbf7d4554d SHA512 cd6d9b316a2daf2f3f81b28b4d6054cbe7ca9a7e39087a5dc7e4c554e5d5590b395243f03f019bf358e127be48dd219e827fdb6af7543305a52c3f87f6e32dd7

+ 14
- 14
app-arch/unrar/metadata.xml View File

@@ -1,18 +1,18 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>whissi@gentoo.org</email>
<name>Thomas Deutschmann</name>
</maintainer>
<maintainer type="project">
<email>base-system@gentoo.org</email>
<name>Gentoo Base System</name>
</maintainer>
<slots>
<subslots>Reflect ABI of libunrar.so.</subslots>
</slots>
<upstream>
<remote-id type="cpe">cpe:/a:rarlab:unrar</remote-id>
</upstream>
<maintainer type="person">
<email>whissi@gentoo.org</email>
<name>Thomas Deutschmann</name>
</maintainer>
<maintainer type="project">
<email>base-system@gentoo.org</email>
<name>Gentoo Base System</name>
</maintainer>
<slots>
<subslots>Reflect ABI of libunrar.so.</subslots>
</slots>
<upstream>
<remote-id type="cpe">cpe:/a:rarlab:unrar</remote-id>
</upstream>
</pkgmetadata>

+ 0
- 70
app-arch/unrar/unrar-6.0.3.ebuild View File

@@ -1,70 +0,0 @@
# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit flag-o-matic multilib toolchain-funcs

MY_PN="${PN}src"

DESCRIPTION="Uncompress rar files"
HOMEPAGE="https://www.rarlab.com/rar_add.htm"
SRC_URI="https://www.rarlab.com/rar/${MY_PN}-${PV}.tar.gz -> ${P}.tar.gz"

LICENSE="unRAR"
# subslot = soname version
SLOT="0/6"
KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ia64 ~m68k ~mips ppc ppc64 ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~x86-solaris"
IUSE=""

RDEPEND="!<=app-arch/unrar-gpl-0.0.1_p20080417"

S="${WORKDIR}/unrar"

PATCHES=(
"${FILESDIR}"/${PN}-5.9.3-build.patch
"${FILESDIR}"/${PN}-5.5.5-honor-flags.patch
)

src_prepare() {
default

local sed_args=( -e "/libunrar/s:.so:$(get_libname ${PV%.*.*}):" )
if [[ ${CHOST} == *-darwin* ]] ; then
sed_args+=( -e "s:-shared:-dynamiclib -install_name ${EPREFIX}/usr/$(get_libdir)/libunrar$(get_libname ${PV%.*.*}):" )
else
sed_args+=( -e "s:-shared:& -Wl,-soname -Wl,libunrar$(get_libname ${PV%.*.*}):" )
fi
sed -i "${sed_args[@]}" makefile || die
}

src_configure() {
mkdir -p build-{lib,bin}
printf 'VPATH = ..\ninclude ../makefile' > build-lib/Makefile || die
cp build-{lib,bin}/Makefile || die
}

src_compile() {
unrar_make() {
emake AR="$(tc-getAR)" CXX="$(tc-getCXX)" CXXFLAGS="${CXXFLAGS}" STRIP=true "$@"
}

unrar_make CXXFLAGS+=" -fPIC" -C build-lib lib
ln -s libunrar$(get_libname ${PV%.*.*}) build-lib/libunrar$(get_libname) || die
ln -s libunrar$(get_libname ${PV%.*.*}) build-lib/libunrar$(get_libname ${PV}) || die

unrar_make -C build-bin
}

src_install() {
dobin build-bin/unrar
dodoc readme.txt

dolib.so build-lib/libunrar*

insinto /usr/include/libunrar${PV%.*.*}
doins *.hpp
dosym libunrar${PV%.*.*} /usr/include/libunrar

find "${ED}" -type f -name "*.a" -delete || die
}

+ 1
- 1
app-arch/unrar/unrar-6.0.4.ebuild View File

@@ -14,7 +14,7 @@ SRC_URI="https://www.rarlab.com/rar/${MY_PN}-${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="unRAR"
# subslot = soname version
SLOT="0/6"
KEYWORDS="~alpha amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ppc ppc64 ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ia64 ~m68k ~mips ppc ppc64 ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~x86-solaris"
IUSE=""

RDEPEND="!<=app-arch/unrar-gpl-0.0.1_p20080417"


BIN
app-cdr/Manifest.gz View File


+ 1
- 0
app-cdr/dolphin-plugins-mountiso/Manifest View File

@@ -1 +1,2 @@
DIST dolphin-plugins-20.12.3.tar.xz 239340 BLAKE2B 141e5d2bb6190edaef98cec2a271e41b916966118300d69f4eb5e7da15e51730476f23a20312b76fca0fc1490501e83528b4f0cb62f9f6c64e4caf5ac5b2cd37 SHA512 1d5303e92d912bc80c5260263b081205d36372f1f15205ebd3e705697a114f8481edd1ad31004d7906c3088d43a74cb1e33dac6e1196c247e702a544d67db11b
DIST dolphin-plugins-21.04.0.tar.xz 242608 BLAKE2B c12366f9a0d661e79b968ce375e2ea46dd8d90f322691755dc238d4dd08d07f6527711aa117fead2a3714d7f97c508e53c5ecd87a69c23c397e44033669fe5b1 SHA512 9f093133eba93615392a117f8184177f06bb117d4a3ad4691025ef26e4d83e251f966c157ae107f52447c78bf600ab586a175f57a02f78fec8e620aa5462138d

+ 65
- 0
app-cdr/dolphin-plugins-mountiso/dolphin-plugins-mountiso-21.04.0.ebuild View File

@@ -0,0 +1,65 @@
# Copyright 1999-2021 Gentoo Authors